Support » Plugins and Hacks » [Plugin: The Events Calendar] PLEASE READ: Request for Theme Support

[Plugin: The Events Calendar] PLEASE READ: Request for Theme Support

  • We have many theme issues that people run into. The default templates we created were meant to work with the default wordpress theme. If your theme takes a different path, odds are you might need to change a few things around. In order to do that, please read the documentation on how to create custom templates based upon our default ones: http://wordpress.org/extend/plugins/the-events-calendar/other_notes/.

    Now onto my request: if you are not using the kubric or 2010 themes and you encounter problems, please look for a thread with your theme name (like Thesis or Flash News…). Read it and see if there is a solution. If not, please create a new thread with the title:

    “[Theme Name] Support” (e.g. Thesis Support)

    That way people can help each other out. With the large amount of theme support requests we are getting, we just can’t keep up. I’d rather have our crew of contributors focusing on fixing real bugs and making new features.

    – Your Friendly Contributors

Viewing 7 replies - 1 through 7 (of 7 total)
  • One of the problems though is that you only allow to override a few of the templates and not all of them. Why is that?

    What other templates need overwriting? Our plugin only affects the list view, single post and the widget + adds the calendar view.

    How about every other file in the Views folder? My point is that out of the 10 different template files in ‘wp-content/plugins/the-events-calendar/views’, we seem to only be able to use 4 of them within our ‘wp-content/themes/themename/events/’ folder. Why is that?

    Ahh – all the others are for the admin panel (post editor, settings panel…). Do you really need to personalize them for you theme? I can’t see a value proposition.

    I sure needed to edit gridview-day.php for example, which is client facing. I think there is one other as well.

    The other issue is things like the google maps implementation and a few other areas do not provide xhtml compliant output. Which is a bit frustrating. Google maps for example add 9 different compliance errors alone.

    I do want to add though that I am very thankful for this plugin and all the effort you guys have put into it. So please dont think that any of my suggestions are saying otherwise.

    ah fair enough – forgot we extracted the tooltip to its own view.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Plugin: The Events Calendar] PLEASE READ: Request for Theme Support’ is closed to new replies.